<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://schemas.haulmont.com/cuba/screen/window.xsd"
        xmlns:c="http://schemas.haulmont.com/cuba/screen/jpql_condition.xsd"
        caption="msg://businessListBrowse.caption"
        focusComponent="banksTable"
        messagesPack="com.bitsolution.urundana.web.screens.businessprofile">
    <data readOnly="true">
        <collection id="banksDc"
                    class="com.bitsolution.urundana.entity.master.Bank">
            <view extends="_local"/>
            <loader id="banksDl">
                <query>
                    <![CDATA[select e from urundana_Bank e]]>
                </query>
            </loader>
        </collection>
    </data>
    <dialogMode height="600"
                width="800"/>
    <layout expand="banksTable"
            spacing="true">
        <jsComponent>
            <dependencies>
                <dependency path="https://semantic-ui.com/dist/semantic.min.css"/>
                <dependency path="http://code.jquery.com/jquery-3.4.1.min.js"/>
                <dependency path="https://semantic-ui.com/dist/semantic.min.js"/>
            </dependencies>
        </jsComponent>
        <filter id="filter"
                applyTo="banksTable"
                dataLoader="banksDl">
            <properties include=".*"/>
        </filter>
        <htmlBox>
            <templateContents>
                <![CDATA[
                    <div class="ui card">
                      <div class="image">
                        <img src="/images/avatar2/large/kristy.png">
                      </div>
                      <div class="content">
                        <a class="header">Kristy</a>
                        <div class="meta">
                          <span class="date">Joined in 2013</span>
                        </div>
                        <div class="description">
                          Kristy is an art director living in New York.
                        </div>
                      </div>
                      <div class="extra content">
                        <a>
                          <i class="user icon"></i>
                          22 Friends
                        </a>
                      </div>
                    </div>
                ]]>
            </templateContents>
        </htmlBox>
        <table id="banksTable"
               width="100%"
               dataContainer="banksDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
                <action id="refresh" type="refresh"/>
            </actions>
            <columns>
                <column id="id"/>
                <column id="code"/>
                <column id="label"/>
                <column id="label2nd"/>
                <column id="description"/>
                <column id="description2nd"/>
            </columns>
            <rowsCount/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="banksTable.create"/>
                <button id="editBtn" action="banksTable.edit"/>
                <button id="removeBtn" action="banksTable.remove"/>
                <button id="refreshBtn" action="banksTable.refresh"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
